"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.definition = void 0;
exports.definition = {
    id: 'tntfork',
    name: 'TNTfork',
    description: 'TNTfork is a mirror for the archive published by tntvillage',
    language: 'it-IT',
    type: 'public',
    encoding: 'UTF-8',
    links: ['https://www.tntfork.it/'],
    caps: {
        categorymappings: [
            { id: '0', cat: 'Other', desc: 'UnKnown' },
            { id: '1', cat: 'TV', desc: 'Film TV e programmi' },
            { id: '2', cat: 'Audio', desc: 'Musica' },
            { id: '3', cat: 'Books/Ebook', desc: 'E Books' },
            { id: '4', cat: 'Movies', desc: 'Film' },
            { id: '6', cat: 'PC', desc: 'Linux' },
            { id: '7', cat: 'TV/Anime', desc: 'Anime' },
            { id: '8', cat: 'TV/Anime', desc: 'Cartoni' },
            { id: '9', cat: 'PC/Mac', desc: 'Macintosh' },
            { id: '10', cat: 'PC/0day', desc: 'Windows Software' },
            { id: '11', cat: 'PC/Games', desc: 'Pc Game' },
            { id: '12', cat: 'Console/PSP', desc: 'Playstation' },
            { id: '13', cat: 'Other', desc: 'Students Releases' },
            { id: '14', cat: 'TV/Documentary', desc: 'Documentari' },
            { id: '21', cat: 'Audio/Video', desc: 'Video Musicali' },
            { id: '22', cat: 'TV/Sport', desc: 'Sport' },
            { id: '23', cat: 'TV', desc: 'Teatro' },
            { id: '24', cat: 'TV/Sport', desc: 'Wrestling' },
            { id: '25', cat: 'TV', desc: 'Varie' },
            { id: '26', cat: 'Console/Xbox', desc: 'Xbox' },
            { id: '27', cat: 'Other', desc: 'Immagini sfondi' },
            { id: '28', cat: 'Console', desc: 'Altri Giochi' },
            { id: '29', cat: 'TV', desc: 'Serie TV' },
            { id: '30', cat: 'Books/Comics', desc: 'Fumetteria' },
            { id: '31', cat: 'Other', desc: 'Trash' },
            { id: '32', cat: 'Console/NDS', desc: 'Nintendo' },
            { id: '34', cat: 'Audio/Audiobook', desc: 'A Book' },
            { id: '35', cat: 'Audio', desc: 'Podcast' },
            { id: '36', cat: 'Books/Mags', desc: 'Edicola' },
            { id: '37', cat: 'PC/Mobile-Other', desc: 'Mobile' },
        ],
        modes: {
            search: ['q'],
            'tv-search': ['q', 'season', 'ep'],
            'movie-search': ['q'],
            'music-search': ['q'],
            'book-search': ['q'],
        },
    },
    settings: [],
    search: {
        paths: [{ path: 'index.php' }],
        inputs: {
            titolo: '{{ if .Keywords }}{{ .Keywords }}{{ else }}test{{ end }}',
            descr: '',
            cat: '',
        },
        rows: {
            selector: 'table tbody tr:not(:first-child):not(:has(a[href^="magnet:?xt=urn:btih:Censurato"]))',
        },
        fields: {
            category: {
                selector: 'td:nth-child(5)',
                case: {
                    ':contains("Film TV e programmi")': 1,
                    ':contains("Musica")': 2,
                    ':contains("E Books")': 3,
                    ':contains("Film")': 4,
                    ':contains("Linux")': 6,
                    ':contains("Anime")': 7,
                    ':contains("Cartoni")': 8,
                    ':contains("Macintosh")': 9,
                    ':contains("Windows Software")': 10,
                    ':contains("Pc Game")': 11,
                    ':contains("Playstation")': 12,
                    ':contains("Students Releases")': 13,
                    ':contains("Documentari")': 14,
                    ':contains("Video Musicali")': 21,
                    ':contains("Sport")': 22,
                    ':contains("Teatro")': 23,
                    ':contains("Wrestling")': 24,
                    ':contains("Varie")': 25,
                    ':contains("Xbox")': 26,
                    ':contains("Immagini sfondi")': 27,
                    ':contains("Altri Giochi")': 28,
                    ':contains("Serie TV")': 29,
                    ':contains("Fumetteria")': 30,
                    ':contains("Trash")': 31,
                    ':contains("Nintendo")': 32,
                    ':contains("A Book")': 34,
                    ':contains("Podcast")': 35,
                    ':contains("Edicola")': 36,
                    ':contains("Mobile")': 37,
                    '*': 0,
                },
            },
            title2: { selector: 'td:nth-child(4)' },
            title: {
                selector: 'td:nth-child(3)',
                filters: [
                    {
                        name: 're_replace',
                        args: ['(?i)\\b([s])?(\\d{1,3})[x\\s](\\d{1,3})', 'S$2E$3'],
                    },
                    { name: 're_replace', args: ['(?i)web-?\\s?dlmux', 'WEB-DL'] },
                    { name: 'append', args: ' {{ .Result.title2 }}' },
                ],
            },
            details: { text: '{{ .Config.sitelink }}' },
            magnet: { selector: 'td:nth-child(2) a', attribute: 'href' },
            date: { selector: 'td:nth-child(1)' },
            size: {
                selector: 'td:nth-child(6)',
                filters: [{ name: 'append', args: ' GB' }],
            },
            seeders: { text: 1 },
            leechers: { text: 1 },
            downloadvolumefactor: { text: 0 },
            uploadvolumefactor: { text: 1 },
        },
    },
    source: 'jackett',
};
